## Class Apache_Solr_ParserException

Description

Copyright (c) 2007-2011, Servigistics, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Servigistics, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

- author: Donovan Jimenez <djimenez@conduit-it.com>
- version: $Id: ParserException.php 54 2011-02-04 16:29:18Z donovan.jimenez $
- copyright: Copyright 2007-2011 Servigistics, Inc. (http://servigistics.com)
- license: New BSD

Located in /ParserException.php (line 39)

    Exception
       |
       --Apache_Solr_Exception
          |
          --Apache_Solr_ParserException

Class Constant Summary
SVN_ID = '$Id: ParserException.php 54 2011-02-04 16:29:18Z donovan.jimenez $'
SVN_REVISION = '$Revision: 54 $'
Class Constants
SVN_ID = '$Id: ParserException.php 54 2011-02-04 16:29:18Z donovan.jimenez $' (line 49)

SVN ID meta data for this class

SVN_REVISION = '$Revision: 54 $' (line 44)

SVN Revision meta data for this class

#### Inherited Constants

Inherited from Apache_Solr_Exception

> Apache_Solr_Exception::SVN_ID
> Apache_Solr_Exception::SVN_REVISION

Documentation generated on Wed, 04 May 2011 11:01:15 -0400 by phpDocumentor 1.4.3